import { getHomeUserSchedule } from '../../api/request.js'
Page({
  data: {
    AllScheduleList: [],
    scheduleList: []
  },
  onLoad(query) {
    // 页面加载
    dd.setNavigationBar({
      title: '首页'
    })
    let data = {
      "startTime":"2020-01-01 00:00:00",
      "endTime":"2025-12-30 23:59:59"
    }
    let that = this
    getHomeUserSchedule(data).then(res => {
      that.setData({
        AllScheduleList: res.data.data
      },() => {
        let now = new Date()
        let year = now.getFullYear();
        let scheduleList = this.returnScheduleList(year);
        that.setData({
          scheduleList: scheduleList
        })
      })
    })
  },
  onReady() {
    // 页面加载完成
  },
  onShow() {
    // 页面显示
  },
  returnScheduleList (year) {
    let DateMap = new Map();
    if (year % 4 == 0 && year % 100 != 0 || year % 400 ==0) {
      for(let i = 1; i <= 366; i++) {
        DateMap.set(`${new Date(year, 0, i).toLocaleDateString()}`, {
          scheduleList:[]
        })
      }
    } else {
      for(let i = 1; i <= 365; i++) {
        DateMap.set(`${new Date(year, 0, i).toLocaleDateString()}`, {
          scheduleList:[]
        })
      }
    }
    for(let y=0;y<this.data.AllScheduleList.length;y++) {
      let date1 = this.data.AllScheduleList[y].startTime.slice(0,10)
      let date2 = this.data.AllScheduleList[y].endTime.slice(0,10)
      let count = this.count(date1, date2)
      if(count == 0) {
        DateMap.get(`${new Date(this.data.AllScheduleList[y].startTime).toLocaleDateString()}`).scheduleList.push(this.data.AllScheduleList[y])
      } else {
        for(let j = 0;j<=count;j++) {
          let time = new Date();
          time.setDate(time.getDate()+j)
          // let finalDate = day.setDate(day.getDate()+j)
          console.log(`${time.getFullYear()}/${time.getMonth()+1}/${time.getDate()}`)
          DateMap.get(`${time.getFullYear()}/${time.getMonth()+1}/${time.getDate()}`).scheduleList.push(this.data.AllScheduleList[y])
        }
      }
    }
    console.log(DateMap)
    return DateMap
  },
  count(date1, date2){
    var date1=new Date(date1);
    var date2=new Date(date2);
    var date=(date2.getTime()-date1.getTime())/(1000*60*60*24);/*不用考虑闰年否*/
    return date
  },
  onHide() {
    // 页面隐藏
  },
  onUnload() {
    // 页面被关闭
  },
  onTitleClick() {
    // 标题被点击
  },
  onPullDownRefresh() {
    // 页面被下拉
  },
  onReachBottom() {
    // 页面被拉到底部
  },
  onShareAppMessage() {
    // 返回自定义分享信息
    return {
      title: 'My App',
      desc: 'My App description',
      path: 'pages/index/index',
    };
  },
  nextPage() {
    dd.navigateTo({ url: './../createOrEditSchedule/createOrEditSchedule' })

  },
  nextDetail () {
        dd.navigateTo({ url: './../scheduleDetail/scheduleDetail' })

  }

});
